PDA

View Full Version : Problems with 5.0 software



Mike Riccio
2003-11-18, 08:40
Congrats on the new product release.

I installed the 5.0 slim server on my Mac running OS X 10.3, and have
had some problems.

First, I had to remove my entire /Library/SlimDevices directory,
because you renamed all of your PERL packages and made all the plugins
non-functional. That's pretty harsh to this user-supported community -
all of the developers/contributors will have to release new versions of
their plugins, skins, etc.

Second, when accessing the server via Safari, images usually do not
load. I've tried using several different skins, but I continue to get
broken images for most of the control buttons (pause, play, etc.) which
makes it impossible to control the slimp3 via the web interface.
Sometimes a few of the images will load (different ones each time),
most times they won't. I added --d_http and I didn't see any error
messages.

Thanks,
-Mike

dean
2003-11-18, 08:58
Hi Mike,

On Nov 18, 2003, at 7:40 AM, Mike Riccio wrote:
> Congrats on the new product release.
Thanks.

> I installed the 5.0 slim server on my Mac running OS X 10.3, and have
> had some problems.
Let's fix 'em!

> First, I had to remove my entire /Library/SlimDevices directory,
> because you renamed all of your PERL packages and made all the plugins
> non-functional. That's pretty harsh to this user-supported community
> - all of the developers/contributors will have to release new versions
> of their plugins, skins, etc.
When we moved to 5.0 we did some significant restructuring of the code,
which did break the plug-ins. (Plug-in authors: There's a script
called whack.pl that automates the bulk of the conversion of plug-ins
to the new server.)

I'm not sure why you had to remove that directory, the old plug-ins
don't work, but shouldn't affect anybody else.

> Second, when accessing the server via Safari, images usually do not
> load.
I haven't seen this. Does this happen if you quit and relaunch Safari?
Also, what version of Safari are you using?

-dean

Kevin Deane-Freeman
2003-11-18, 09:31
Quoting dean blackketter <dean (AT) slimdevices (DOT) com>:


> > First, I had to remove my entire /Library/SlimDevices directory,
> > because you renamed all of your PERL packages and made all the plugins
> > non-functional. That's pretty harsh to this user-supported community
> > - all of the developers/contributors will have to release new versions
> > of their plugins, skins, etc.
> When we moved to 5.0 we did some significant restructuring of the code,
> which did break the plug-ins. (Plug-in authors: There's a script
> called whack.pl that automates the bulk of the conversion of plug-ins
> to the new server.)

easily done too. fyi, I have put new versions of some plugins already.
http://www.deane-freeman.com/slimserver/

You should be able to use the scriptd dean mentions, or plugin authors can
surely make new versions available rather easily, and you'll see them for
download shortly.

-kdf

Michael Bowyer
2003-11-18, 11:23
Add me to the list of people having problems with v5....

I have installed it, and removed it twice now, with the same symptoms:

General lack of response.
Skipping.
Radio stations play in stutters.
Looses server sometimes.

Using firmware 2.2, MacOS 10.3.

Everything works just fine with v4.2.6, which I've gone back to until
someone fixes v5!

Mike.



On 18 Nov 2003, at 17:31, Kevin Deane-Freeman wrote:

> Quoting dean blackketter <dean (AT) slimdevices (DOT) com>:
>
>
>>> First, I had to remove my entire /Library/SlimDevices directory,
>>> because you renamed all of your PERL packages and made all the
>>> plugins
>>> non-functional. That's pretty harsh to this user-supported community
>>> - all of the developers/contributors will have to release new
>>> versions
>>> of their plugins, skins, etc.
>> When we moved to 5.0 we did some significant restructuring of the
>> code,
>> which did break the plug-ins. (Plug-in authors: There's a script
>> called whack.pl that automates the bulk of the conversion of plug-ins
>> to the new server.)
>
> easily done too. fyi, I have put new versions of some plugins already.
> http://www.deane-freeman.com/slimserver/
>
> You should be able to use the scriptd dean mentions, or plugin authors
> can
> surely make new versions available rather easily, and you'll see them
> for
> download shortly.
>
> -kdf
>

Daniel Rich
2003-11-18, 11:28
dean blackketter wrote:

> When we moved to 5.0 we did some significant restructuring of the code,
> which did break the plug-ins. (Plug-in authors: There's a script
> called whack.pl that automates the bulk of the conversion of plug-ins to
> the new server.)

Where do we mere mortals get a copy of whack.pl? I'd like to take a stab at
converting some of my now non-working plugins myself since I'm not sure how
active the developers are

The upgrade also broke several of the skins I have installed (Mimosa,
Fishbone-ex, and Fish-Pad). Will whack.pl help with that as well?

--
Dan Rich <drich (AT) employees (DOT) org> | http://www.employees.org/~drich/
| "Step up to red alert!" "Are you sure, sir?
| It means changing the bulb in the sign..."
| - Red Dwarf (BBC)

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.2.3 (GNU/Linux)

iD8DBQE/umTiIYJ5xMxu09kRAj6hAJ4m7WpQhdneJxcBeuxKdOk/WvK1BgCgxhvC
SuadXVM8Gi4ANGN4LD6jDy0=
=V0qS
-----END PGP SIGNATURE-----

Kevin Deane-Freeman
2003-11-18, 12:09
Quoting Daniel Rich <drich (AT) employees (DOT) org>:

> dean blackketter wrote:
>
> > When we moved to 5.0 we did some significant restructuring of the code,
> > which did break the plug-ins. (Plug-in authors: There's a script
> > called whack.pl that automates the bulk of the conversion of plug-ins to
> > the new server.)
>
> Where do we mere mortals get a copy of whack.pl? I'd like to take a stab at
>
> converting some of my now non-working plugins myself since I'm not sure how
> active the developers are
>
> The upgrade also broke several of the skins I have installed (Mimosa,
> Fishbone-ex, and Fish-Pad). Will whack.pl help with that as well?

http://www.slimdevices.com/downloads/nightly/slimserver/tools/skinjob.pl

That will convert old skins, or at least get you most of the way. You shouldnt'
need to convert Fishbone-ex as the updates to Fishbone in SlimServer 5.0 go well
beyond Fishbone-ex. When you use the script above, a backup copy of yoru skin
will be moved a a direcotry named "old". I have tried it on Mimosa and it
worked with no other changes. Hypo needed a few little tweaks to make it fully
converted.

-kdf